PSPDR(1)

NAME
pspdr - Internet Path Transparency Measurement Tool

DESCRIPTION
PATHspider is a free-software extensible path transparency measurement tool for performing path transparency measurements using real network stacks or packet forging.

USAGE OVERVIEW
pspdr [-h] [--verbose] COMMAND ...

PATHspider will spider the paths.

  optional arguments:

-h, --help
    show this help message and exit

--verbose
    Enable verbose logging

  Commands:

filter
    Pre-process a target list

measure
    Perform a PATHspider measurement

observe
    Passively observe network traffic

test
    Run the built in test suite

FILTER USAGE
pspdr filter [-h] [--csv-input] [--dp DP]

  optional arguments:

-h, --help
    show this help message and exit

--csv-input
    Indicate CSV format.

--dp DP
    A destination port to add to the targets.

MEASUREMENT USAGE
pspdr measure [-h] [-i INTERFACE] [-w WORKERS] [--input INPUTFILE]

[--csv-input] [--output OUTPUTFILE] [--output-flows]
    PLUGIN ...

  optional arguments:

-h, --help
    show this help message and exit

-i INTERFACE, --interface INTERFACE
    The interface to use for the observer. (Default: eth0)

-w WORKERS, --workers WORKERS
    Number of workers to use. (Default: 20)

--input INPUTFILE
    A file containing a list of PATHspider jobs. Defaults to standard input.

--csv-input
    Indicate CSV format.

--output OUTPUTFILE
    The file to output results data to. Defaults to standard output.

--output-flows
    Include flow results in output.

  Plugins:

    The following plugins are available for use:

dscp
    Differentiated Services Codepoints

h2  HTTP/2

evilbit
    Evil bit connectivity testing

mss TCP Maximum Segment Size

dnsresolv
    Simple Input List DNS Resolver

ecn Explicit Congestion Notification

udpzero
    UDP Zero Checksum

OBSERVE USAGE
pspdr observe [-h] [--list-chains] [-i INTERFACE] [--output OUTPUTFILE]

    [chains [chains ...]]

  positional arguments:

chains
    Observer chains to use

  optional arguments:

-h, --help
    show this help message and exit

--list-chains
    Prints a list of available chains

-i INTERFACE, --interface INTERFACE
    The interface to use for the observer. If this argument ends with '.pcap' then it will instead be treated as a PCAP file for offline analysis. (Default: eth0)

--output OUTPUTFILE
    The file to output results data to. Defaults to standard output.

TEST USAGE
pspdr test [-h]

  optional arguments:

-h, --help
    show this help message and exit

REPORTING BUGS
Bugs relating to the operation of PATHspider should be filed against the pathspider package using reportbug(1).

COPYRIGHT
PATHspider is copyrighted by the authors of PATHspider. It is made available under the terms of the GNU General Public License version 2, or at your option any later version, which can be found at:

  /usr/share/common-licenses/GPL-2

This manual page was written for Debian by Iain R. Learmonth <irl@debian.org> but may be used by others under the same terms.

SEE ALSO
PATHspider provides HTML documentation that explains usage of PATHspider for measurement and the development of PATHspider plugins. This is installed with the pathspider package and can be found at:

  /usr/share/doc/pathspider/html/index.html

The PATHspider website can be found at https://pathspider.net/.